%define upstream_name    Module-Install-TrustMetaYml
%define upstream_version 0.003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Trusts META.yml list of dependencies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(YAML::Tiny)
BuildArch:  noarch

%description
CPAN doesn't trust 'META.yml''s list of dependencies for a module. Instead
it expects 'Makefile.PL' run on the computer the package is being installed
upon to generate its own list of dependencies (called 'MYMETA.yml' or
'MYMETA.json').

This module is a Module::Install plugin that generates 'MYMETA.yml' by
simply passing through the dependencies from 'META.yml'.

It does nothing when run from the module author's development copy.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYRIGHT CREDITS Changes HACKING LICENSE META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-7.mga6
+ Revision: 1030127
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.3.0-6.mga6
+ Revision: 937621
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.3.0-5.mga6
+ Revision: 937168
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-4.mga5
+ Revision: 746732
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 685452
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.3.0-2.mga4
+ Revision: 525090
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.3.0-1.mga4
+ Revision: 432204
- update to 0.003

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 369904
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 shlomif <shlomif> 0.2.0-1.mga3
+ Revision: 334201
- imported package perl-Module-Install-TrustMetaYml


* Sun Dec 23 2012 cpan2dist 0.002-1mga
- initial mageia release, generated with cpan2dist
